Commit 4fa3e2fb authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Implement error handling

Implement error handling
parents be0daa48 e775a722
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -11,4 +11,4 @@ jobs:
      - name: Run ShellCheck
        uses: ludeeus/action-shellcheck@master
env:
        SHELLCHECK_OPTS: -x -e SC2001 -e SC2002 -e SC2223 -e SC2034 -e SC2064 
        SHELLCHECK_OPTS: -x -e SC2001 -e SC2002 -e SC2223 -e SC2034 -e SC2064  -e SC2317
+2 −0
Original line number Diff line number Diff line
@@ -32,3 +32,5 @@ mv -f "$TMP" "$FILE"

{ set +x; } 2>/dev/null
[ "$DEBUG" = "Y" ] && echo

return 0
+2 −0
Original line number Diff line number Diff line
@@ -233,3 +233,5 @@ fi
NET_OPTS="${NET_OPTS} -device virtio-net-pci,romfile=,netdev=hostnet0,mac=${VM_NET_MAC},id=net0"

[ "$DEBUG" = "Y" ] && echo && echo "Finished network setup.." && echo

return 0
+5 −0
Original line number Diff line number Diff line
@@ -15,6 +15,9 @@ echo "Starting QEMU for Docker v${VERSION}..."
STORAGE="/storage"
KERNEL=$(uname -r | cut -b 1)

trap 'echo >&2 "Error - exited with status $? at line $LINENO:"; 
         pr -tn $0 | tail -n+$((LINENO - 3)) | head -n7 >&2' ERR

[ ! -d "$STORAGE" ] && echo "Storage folder (${STORAGE}) not found!" && exit 69
[ ! -f "/run/run.sh" ] && echo "Script must run inside Docker container!" && exit 60

@@ -59,6 +62,8 @@ EXTRA_OPTS="-device virtio-balloon-pci,id=balloon0 -object rng-random,id=rng0,fi
ARGS="${DEF_OPTS} ${CPU_OPTS} ${RAM_OPTS} ${MAC_OPTS} ${MON_OPTS} ${SERIAL_OPTS} ${NET_OPTS} ${DISK_OPTS} ${EXTRA_OPTS}"
ARGS=$(echo "$ARGS" | sed 's/\t/ /g' | tr -s ' ')

trap - ERR

set -m
(
  [ "$DEBUG" = "Y" ] && set -x